Bug 1265792 - [RFE] Static website hosting
[RFE] Static website hosting
Status: CLOSED ERRATA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW (Show other bugs)
1.3.0
Unspecified Unspecified
high Severity unspecified
: rc
: 2.1
Assigned To: Yehuda Sadeh
shilpa
Bara Ancincova
: FutureFeature
: 1370634 (view as bug list)
Depends On:
Blocks: 1383917
  Show dependency treegraph
 
Reported: 2015-09-23 14:47 EDT by Neil Levine
Modified: 2017-07-30 11:59 EDT (History)
13 users (show)

See Also:
Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: Enhancement
Doc Text:
.Ceph Object Gateway now supports static website hosting With this feature, users can host static websites in Simple Storage Service (S3) buckets. For details, see the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux/#configuring_gateways_for_static_web_hosting[Configuring Gateways for Static Web Hosting] chapter in the Red Hat Ceph Storage Ceph Object Gateway Guide for Red Hat Enterprise Linux.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-22 14:24:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Levine 2015-09-23 14:47:43 EDT
Allow a customer to host static website content in an S3 bucket akin to:
https://docs.aws.amazon.com/AmazonS3/latest/dev/WebsiteHosting.html
Comment 3 Robin H. Johnson 2016-02-29 17:51:01 EST
@Yuri:
This code is landed; but not enabled by default.

Needs more polishing still, the final merge got very messy and broke some of the functionality because of intersecting with another large change.

I don't know if that covers all of your needinfo request; if so, feel free to clear the flag.
Comment 4 Ken Dreyer (Red Hat) 2016-04-26 16:47:13 EDT
Yehuda, please confirm whether this feature is complete in v10.2.0?
Comment 5 Yehuda Sadeh 2016-04-26 16:55:14 EDT
It's still incomplete in 10.2.0, but there is an upstream PR that supposed to add the missing pieces.
Comment 6 Ken Dreyer (Red Hat) 2016-04-26 17:00:09 EDT
Thanks. retargeting to 2.1, then.
Comment 7 Robin H. Johnson 2016-04-26 17:26:42 EDT
@Ken:

Pieces pending review & merge:
- RedirectRule engine/ErrorDoc fix
http://tracker.ceph.com/issues/15532 https://github.com/ceph/ceph/pull/8669
- x-amz-website-redirect-location header
http://tracker.ceph.com/issues/15531 https://github.com/ceph/ceph/pull/8633
- Merging tests to s3-tests:
https://github.com/ceph/s3-tests/pull/92

Pieces needing a fix still:
- s3website VHost-style access to buckets (in-progress)
http://tracker.ceph.com/issues/15530
Comment 9 Uday Boppana 2016-09-07 11:18:01 EDT
Here is the equivalent S3 API:

GET Bucket website
PUT Bucket website
DELETE Bucket website
Comment 10 Uday Boppana 2016-09-07 11:18:51 EDT
*** Bug 1370634 has been marked as a duplicate of this bug. ***
Comment 13 shilpa 2016-11-02 14:31:38 EDT
Verified in 10.2.3.10
Comment 16 errata-xmlrpc 2016-11-22 14:24:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html

Note You need to log in before you can comment on or make changes to this bug.